import React, { useState, useEffect } from 'react'
import './css/style.scss'
import './css/responsive.scss'
import helper from '../../../Helper/function';
import FacebookIcon from '@mui/icons-material/Facebook';
import GoogleIcon from '@mui/icons-material/Google';
import TwitterIcon from '@mui/icons-material/Twitter';
import InstagramIcon from '@mui/icons-material/Instagram';
import SubscriptionsOutlinedIcon from '@mui/icons-material/SubscriptionsOutlined';
const Footer = ()=>{
    const [frontData, setFrontData] = useState([]);
    const getFrontData = async () => {
        try {
            const data = { env_type: 1 }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const front_data = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let api_front_data = await fetch(process.env.APIURL + "/view-front-data", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: front_data
            });
            const finalFrontData = await api_front_data.json();

            const responseData = finalFrontData.resData;
            const responseKey = finalFrontData.resKey;
            var mykey = responseKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const enc_finalFrontData = helper.EncrptDecryptApiData(responseData, original_key, 2);
            setFrontData(JSON.parse(enc_finalFrontData))
        } catch (err) {
            console.log("Your Error is", err);
        }
    }
    useEffect(() => {
        getFrontData();
    }, []);
    return (
        <>
            <footer className="footer-arya">
                <div className='row'>
                    <div className='col-6'>
                        <p className="text-center">Copyright <a className="NavLink" href="">TEJ Online Matka</a> - All Right Reserved | <a className="NavLink" rel="noopener" target="_blank" href={`${process.env.BASEURL}privacy`}>Privacy Policy</a></p>
                    </div>
                    {frontData.facebook!=""?
                        <div className="col-1 ps-5">
                            <div className="social-icons img-social-fb">
                                <a target="_blank" rel="noreferrer" href={frontData.facebook}><FacebookIcon fontSize="medium"/></a>
                            </div>                                               
                        </div> 
                    :
                        <></>
                    }
                    {frontData.google_plus!=""?
                        <div className="col-1 ps-5">
                            <div className="social-icons img-social-google">
                            <a target="_blank" rel="noreferrer" href={frontData.google_plus}><GoogleIcon fontSize="medium"/></a>
                            </div>                                               
                        </div>
                        :
                        <></>
                    }
                    {frontData.twitter!=""?

                        <div className="col-1 ps-5">
                            <div className="social-icons img-social-twitter">
                            <a target="_blank" rel="noreferrer" href={frontData.twitter}><TwitterIcon fontSize="medium"/></a>
                            </div>                                               
                        </div>
                        :
                        <></>
                    }
                    {frontData.instagram!=""?
                        <div className="col-1 ps-5">
                            <div className="social-icons img-social-insta">
                            <a target="_blank" rel="noreferrer" href={frontData.instagram}><InstagramIcon fontSize="medium"/></a>
                            </div>                                               
                        </div>
                        :
                        <></>
                    }
                    {frontData.youtube!=""?
                        <div className="col-1 ps-5">
                            <div className="social-icons img-social-yt">
                            <a target="_blank" rel="noreferrer" href={frontData.youtube}><SubscriptionsOutlinedIcon fontSize="medium"/></a>
                            </div>                                               
                        </div>
                        :
                        <></>
                    }
                </div>
            </footer>
        </>
    )
}
export default Footer
