import React from 'react'
import ReactDOM from 'react-dom';
// Import Components

import Login from './customer/Login';
import LandingPage from './Front/Landingpage';
import Blogs from './Front/Blogs';
import BlogDetails from './Front/BlogDetails';
import Registration from './customer/Register';
import Home from './Home';
import UserProfile from './customer/UserProfile';
import Wallet from './customer/Wallet';
import WithdrawMethods from './customer/WithdrawMethods';
import {
    BrowserRouter as Router,
    Routes,
    Route, useParams
} from "react-router-dom";
import Forget from './customer/Forget';
import Otp from './customer/Otp';
import ChangePassword from './customer/ChangePassword';
import ContactUs from './customer/Contactus';
import GameResult from './customer/GameResult';
import GameResultWin from './customer/GameResultWin';
import GameRates from './customer/GamesRates';
import Image from './customer/Image';
import ResetPin from './customer/ResetPin';
import VerifyPin from './customer/VerifyPin';
import Game from './customer/Game';
import GameChart from './customer/GameChart';
import StarlineChart from './customer/StarlineChart';
import GaliDisawarCharts from './customer/GaliDisawarCharts';
import StarlineGame from './customer/StarlineGame';
import GaliWinHistory from './customer/GaliWinHistory';
import GaliBidHistory from './customer/GaliBidHistory';
import GaliGames from './customer/GaliGames';


import TransferFund from './customer/TransferFund';
import AddFund from './customer/AddFund';
import Details from './customer/Details';
import WithDraw from './customer/WithdrawFund';
import OTPForget from './customer/OtpForget';
import ChangePasswordSign from './customer/ChangePasswordSign';
import Transaction from './customer/Transaction';
import PublicRoutes from '../../Middleware/PublicRoutes';
import ProtectedRoutes from '../../Middleware/ProtectedRoutes';
import BettingStatusMiddleware from '../../Middleware/BettingStatusMiddleware';

import AccessRoutes from '../../Middleware/AccessRoutes';
import NotAccessRoutes from '../../Middleware/NotAccessRoutes';
import LoginAxcess from '../../Middleware/LoginAxcess';
import LoginDenied from '../../Middleware/LoginDenied';
import ForgetAccess from '../../Middleware/ForgetAccess';
import StarLine from './customer/Starline';
import GaliDisawar from './customer/GaliDisawar';
import StarlineWinHistory from './customer/StarlineWinHistory';
import StarlineBidHistory from './customer/StarlineBidHistory';
import NotFound from './NotFound';
import Maintainence from './Maintainence';
import SingleDetails from './customer/details/SingleDetails';
import JodiDetails from './customer/details/JodiDetails';
import SinglePanaDetails from './customer/details/SinglePanaDetails';
import DoublePanaDetails from './customer/details/DoublePanaDetails';
import TriplePanaDetails from './customer/details/TriplePanaDetails';
import FullSungamDetails from './customer/details/FullSungamDetails';
import HalfSungamDetails from './customer/details/HalfSungamDetails';
import StarlineDetails from './customer/details/StarlineDetails';
import StarlineSingleDetails from './customer/details/StarlineSinglePanna';
import StarlineDoubleDetails from './customer/details/StarlineDoublePanna';
import StarlineTripleDetails from './customer/details/StarlineTriplePanna';
import GaliRight from './customer/details/GaliRight';
import GaliLeft from './customer/details/GaliLeft';
import GaliJodi from './customer/details/GaliJodi';

import EvenOdd from './customer/details/EvenOdd';
import JodiFamily from './customer/details/JodiFamily';
import RedBracket from './customer/details/RedBracket';
import SpMotor from './customer/details/SpMotor';
import DpMotor from './customer/details/DpMotor';
import SpDpTpMotor from './customer/details/SpDpTpMotor';
import PanaFamily from './customer/details/PanaFamily';

import SliderRedirect from './customer/SliderRedirect';
import ReferAndEarn from './customer/ReferAndEarn';
import Privacy from './Front/Privacy';
import KalyanResults from './Front/KalyanResults';
import GaliDisawarFront from './Front/GaliDisawar';
import DpBossMatka from './Front/DpBossMatka';
import SattaKing from './Front/SattaKing';
import JoiCharts from './Front/Charts';
import PanelCharts from './Front/Charts';
import StarlineCharts from './Front/Charts';
import GaliCharts from './Front/Charts';


function Main() {
    return (
        <>
            <Router>
                <main style={{ height: "100%" }}>
                    <Routes>
                        {/* <Route path="/notfound" exact element={<NotFound />} /> */}
                        <Route path="/" exact element={<LandingPage />} />
                        <Route path="/blogs" exact element={<Blogs />} />
                        <Route path="/blogs/:id" exact element={<BlogDetails />} />
                        <Route path={`/privacy`} exact element={<Privacy />} />
                        <Route path={`/kalyan-results`} exact element={<KalyanResults />} />
                        <Route path={`/gali-disawar`} exact element={<GaliDisawarFront />} />
                        <Route path={`/dp-boss-matka`} exact element={<DpBossMatka />} />
                        <Route path={`/satta-king`} exact element={<SattaKing />} />
                        <Route path={`/jodi-charts/:id`} exact element={<JoiCharts />} />
                        <Route path={`/panel-charts/:id`} exact element={<PanelCharts />} />
                        <Route path={`/starline-charts`} exact element={<StarlineCharts />} />
                        <Route path={`/gali-disawar-charts`} exact element={<GaliCharts />} />
                        <Route path={`/${process.env.USER}/register/:userId`} exact element={<Registration />} />
                        <Route path={`/${process.env.USER}/register`} exact element={<Registration />} />
                        <Route path={`/${process.env.USER}/evenodd`} exact element={<ProtectedRoutes> <EvenOdd /></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/jodifamily`} exact element={<ProtectedRoutes> <JodiFamily /></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/redbracket`} exact element={<ProtectedRoutes> <RedBracket /></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/spmotor`} exact element={<ProtectedRoutes> <SpMotor /></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/dpmotor`} exact element={<ProtectedRoutes> <DpMotor /></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/spdptpmotor`} exact element={<ProtectedRoutes> <SpDpTpMotor /></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/panafamily`} exact element={<ProtectedRoutes> <PanaFamily /></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/referandearn`} exact element={<ProtectedRoutes> <ReferAndEarn /></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/sliderRedirect`} exact element={<ProtectedRoutes> <SliderRedirect /></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/maintainence`} exact element={<ProtectedRoutes> <Maintainence /></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/home`} exact element={<ProtectedRoutes> <Home /></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/game`} exact element={<ProtectedRoutes> <Game /></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/profile`} exact element={<ProtectedRoutes> <UserProfile /></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/contact`} exact element={<ProtectedRoutes> <ContactUs /></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/result`} exact element={<ProtectedRoutes><BettingStatusMiddleware> <GameResult /></BettingStatusMiddleware></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/resultwin`} exact element={<ProtectedRoutes><BettingStatusMiddleware> <GameResultWin /></BettingStatusMiddleware></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/rates`} exact element={<ProtectedRoutes> <BettingStatusMiddleware><GameRates /></BettingStatusMiddleware></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/image`} exact element={<ProtectedRoutes><BettingStatusMiddleware> <Image /></BettingStatusMiddleware></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/change`} exact element={<ProtectedRoutes> <ChangePassword /></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/transfer`} exact element={<ProtectedRoutes><BettingStatusMiddleware> <TransferFund /></BettingStatusMiddleware></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/add`} exact element={<ProtectedRoutes> <BettingStatusMiddleware><AddFund /></BettingStatusMiddleware></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/details`} exact element={<ProtectedRoutes> <BettingStatusMiddleware><Details /></BettingStatusMiddleware></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/starlinedetails`} exact element={<ProtectedRoutes> <BettingStatusMiddleware><StarlineDetails /></BettingStatusMiddleware></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/starlinesingledetails`} exact element={<ProtectedRoutes><BettingStatusMiddleware> <StarlineSingleDetails /></BettingStatusMiddleware></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/starlinedoubledetails`} exact element={<ProtectedRoutes> <BettingStatusMiddleware><StarlineDoubleDetails /></BettingStatusMiddleware></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/starlinetripledetails`} exact element={<ProtectedRoutes><BettingStatusMiddleware> <StarlineTripleDetails /></BettingStatusMiddleware></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/withdraw`} exact element={<ProtectedRoutes> <BettingStatusMiddleware><WithDraw /></BettingStatusMiddleware></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/transaction`} exact element={<ProtectedRoutes><BettingStatusMiddleware> <Transaction /></BettingStatusMiddleware></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/starline`} exact element={<ProtectedRoutes> <BettingStatusMiddleware><StarLine /></BettingStatusMiddleware></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/verifypin`} exact element={<ProtectedRoutes> <BettingStatusMiddleware><VerifyPin /></BettingStatusMiddleware></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/starlinewin`} exact element={<ProtectedRoutes> <BettingStatusMiddleware><StarlineWinHistory /></BettingStatusMiddleware></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/starlinebid`} exact element={<ProtectedRoutes> <BettingStatusMiddleware><StarlineBidHistory /></BettingStatusMiddleware></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/chart`} exact element={<ProtectedRoutes> <GameChart /></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/starlinechart`} exact element={<ProtectedRoutes><BettingStatusMiddleware> <StarlineChart /></BettingStatusMiddleware></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/starlinegame`} exact element={<ProtectedRoutes><BettingStatusMiddleware> <StarlineGame /></BettingStatusMiddleware></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/singledetail`} exact element={<ProtectedRoutes> <BettingStatusMiddleware><SingleDetails /></BettingStatusMiddleware></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/jodidetail`} exact element={<ProtectedRoutes> <BettingStatusMiddleware><JodiDetails /></BettingStatusMiddleware></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/singlepanadetail`} exact element={<ProtectedRoutes> <BettingStatusMiddleware><SinglePanaDetails /></BettingStatusMiddleware></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/doublepanadetail`} exact element={<ProtectedRoutes><BettingStatusMiddleware> <DoublePanaDetails /></BettingStatusMiddleware></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/tripledetail`} exact element={<ProtectedRoutes> <BettingStatusMiddleware><TriplePanaDetails /></BettingStatusMiddleware></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/fullsungamdetail`} exact element={<ProtectedRoutes><BettingStatusMiddleware> <FullSungamDetails /></BettingStatusMiddleware></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/halfsungamdetail`} exact element={<ProtectedRoutes> <BettingStatusMiddleware><HalfSungamDetails /></BettingStatusMiddleware></ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/wallet`} exact element={<ProtectedRoutes> <BettingStatusMiddleware> <Wallet /> </BettingStatusMiddleware> </ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/WithdrawMethods`} exact element={<ProtectedRoutes> <BettingStatusMiddleware> <WithdrawMethods /> </BettingStatusMiddleware> </ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/gali`} exact element={<ProtectedRoutes> <BettingStatusMiddleware> <GaliDisawar /> </BettingStatusMiddleware> </ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/galidisawarchart`} exact element={<ProtectedRoutes> <BettingStatusMiddleware> <GaliDisawarCharts /> </BettingStatusMiddleware> </ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/galiwin`} exact element={<ProtectedRoutes> <BettingStatusMiddleware> <GaliWinHistory /> </BettingStatusMiddleware> </ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/galibid`} exact element={<ProtectedRoutes> <BettingStatusMiddleware> <GaliBidHistory /> </BettingStatusMiddleware> </ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/galigames`} exact element={<ProtectedRoutes> <BettingStatusMiddleware> <GaliGames /> </BettingStatusMiddleware> </ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/galiright`} exact element={<ProtectedRoutes> <BettingStatusMiddleware> <GaliRight /> </BettingStatusMiddleware> </ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/galileft`} exact element={<ProtectedRoutes> <BettingStatusMiddleware> <GaliLeft /> </BettingStatusMiddleware> </ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/galijodi`} exact element={<ProtectedRoutes> <BettingStatusMiddleware> <GaliJodi /> </BettingStatusMiddleware> </ProtectedRoutes>} />
                        <Route path={`/${process.env.USER}/login`} exact element={<PublicRoutes> <Login /></PublicRoutes>} />
                        <Route path={`/${process.env.USER}/reset`} exact element={<PublicRoutes> <LoginDenied><ResetPin /></LoginDenied></PublicRoutes>} />
                        <Route path={`/${process.env.USER}/otp`} exact element={<PublicRoutes> <NotAccessRoutes> <Otp /></NotAccessRoutes></PublicRoutes>} />
                        <Route path={`/${process.env.USER}/forget`} exact element={<PublicRoutes> <Forget /></PublicRoutes>} />
                        <Route path={`/${process.env.USER}/otpforget`} exact element={<PublicRoutes>  <ForgetAccess><OTPForget /></ForgetAccess></PublicRoutes>} />
                        <Route path={`/${process.env.USER}/password`} exact element={<PublicRoutes> <ForgetAccess><ChangePasswordSign /></ForgetAccess></PublicRoutes>} />
                        <Route path={`*`} exact element={<NotFound />} />
                    </Routes>
                </main>
            </Router>

        </>
    )
}

export default Main;
ReactDOM.render(<Main />, document.getElementById('component-main'));