import React from 'react'
import { NavLink } from 'react-router-dom';
import back from '../../../Assets/back.png';
import notfound from '../../../Assets/datanotfound.png';
import './../../../css/Transaction.scss'
import { Helmet } from 'react-helmet';
import { useEffect, useState } from 'react';
import helper from '../../../Helper/function';
import moment from 'moment';

function Transaction() {
    let profileSessionData = sessionStorage.getItem('profileDataUser')
    const UserShowData = JSON.parse(profileSessionData);
    let sessionData = sessionStorage.getItem('userProfileData');
    const reqSessionData = JSON.parse(sessionData);

    const [token, setToken] = useState(reqSessionData.unique_token)

    const [apiDetails, setApiDetails] = useState([]);

    const getApiData = async () => {
        try {
            const data = { env_type: 1, unique_token: token }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const walletTransaction = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let result = await fetch(process.env.APIURL + "/get-wallet-transaction-history", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: walletTransaction
            });
            const actualData = await result.json();
            const responseData = actualData.resData;
            const responseKey = actualData.resKey;
            var mykey = responseKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const walletHistory = helper.EncrptDecryptApiData(responseData, original_key, 2);
            setApiDetails((JSON.parse(walletHistory)).result);
        } catch (err) {
            console.log("Your Error is", err);
        }
    }
    useEffect(() => {
        getApiData();
    }, []);
    if (apiDetails.length !== 0) {
        return (
            <>
                <Helmet>
                    <title>Matka</title>
                    <meta name="viewport" content="width=device-width; initial-scale=1; maximum-scale=1.0;" />
                </Helmet>
                <div class="col-sm-4 m-auto">
                    <div className='container-trans'>
                        <div className='resposive'>
                            <div className='container-child-upper'>
                                <div className='header'>
                                    <NavLink exact to={`/${process.env.USER}/wallet`} className='back-arrow'>
                                        <img src={back} alt="back-arrow" class="w-50" />
                                    </NavLink>
                                    <div className='header-text'>
                                        Transaction History
                                    </div>
                                </div>
                            </div>
                            <div className='container-child-bottom'>
                                <div className='body-trans' style={{ overflowY: "scroll", height:"90%"}}>
                                    {apiDetails.map((item, index) => {
                                        const date = item.insert_date.split("/")
                                        const text = new Date(date[2], date[1] - 1, date[0]).toDateString();
                                        return (
                                            <>
                                                <div className={`${item.transaction_type == 2 ? "card-red" : "card-green"}`}>
                                                    <div className='upper'>
                                                        <div key={index} className='upper-upper'>
                                                            {item.transaction_note}
                                                        </div>
                                                    </div>
                                                    <div className='bottom'>
                                                        <div className='left-bottom'>
                                                            <div className='resize'>
                                                                {moment(item.createdAt).format('Do MMMM YYYY, h:mm A')}
                                                            </div>
                                                        </div>
                                                        <div className='right-bottom'>
                                                            <div className='resize'>
                                                                {`${item.transaction_type == 2 ? "-" : "+"}`} {item.transaction_amount}
                                                            </div>
                                                        </div>
                                                    </div>

                                                </div>
                                            </>
                                        );
                                    })}
                                </div>
                            </div>
                        </div>
                    </div>


                </div>

            </>

        );
    } else {
        return (
            <>
                <Helmet>
                    <title>Matka</title>
                    <meta name="viewport" content="width=device-width; initial-scale=1; maximum-scale=1.0;" />
                </Helmet>
                <div class="col-sm-4 m-auto">
                    <div className='container-trans'>
                        <div className='resposive'>
                            <div className='container-child-upper'>
                                <div className='header'>
                                    <NavLink exact to={`/${process.env.USER}/wallet`} className='back-arrow'>
                                        <img src={back} alt="back-arrow" class="w-50" />
                                    </NavLink>
                                    <div className='header-text'>
                                        TRANSACTION HISTORY
                                    </div>
                                </div>
                            </div>
                            <div className='container-child-bottom'>
                                <div className='body-trans'>
                                    <img src={notfound} style={{ width: "100%" }} alt="not found" />
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </>
        )
    }
}

export default Transaction;