import React, { useState, useEffect } from 'react'
import ReactDOM from 'react-dom'
import AccountBalanceWalletIcon from '@mui/icons-material/AccountBalanceWallet';
import { Helmet } from 'react-helmet';
import ArrowBackIcon from '../../../Assets/back.png';
import wallet from '../../../Assets/wallet.png'
import helper from '../../../Helper/function';
import notfound from '../../../Assets/datanotfound.png';
import classnames from 'classnames';
import { NavLink, useNavigate } from 'react-router-dom';
import $ from 'jquery';
import 'jquery/dist/jquery.min.js'
import { ToastContainer, toast } from 'react-toastify';
import moment from 'moment';



function WithdrawFund() {

  const Navigate = useNavigate();
  let profileSessionData = sessionStorage.getItem('profileDataUser')
  const UserShowData = JSON.parse(profileSessionData);
  let sessionData = sessionStorage.getItem('userProfileData');
  const reqSessionData = JSON.parse(sessionData);

  const [token, setToken] = useState(reqSessionData.unique_token)
  const [withdrawlfundtDetails, setwithdrawlfundtDetails] = useState([]);
  const [withfundGetResult, setwithfundGetResult] = useState([]);
  const [walletBalance, setWalletBalance] = useState([]);
  const [amount, Setamount] = useState('');
  const [amountErr, SetamountErr] = useState('');
  const [UPIErr, SetUPIErr] = useState('');
  const [TypeSelect, SetTypeSelect] = useState('');
  const [mypeSelect, SetmypeSelect] = useState('');
  const haldleChange = (e, name) => {
    const user = {};
    user[name] = e.target.value;
    var format = /[ `!@#$%^&*()_+\-=\[\]{};':"\\|,.<>\/?~]/;
    switch (name) {
      case 'amount':
        Setamount(user.amount)
        format.test(user.amount) ?
          SetamountErr('Invalid Amount') : SetamountErr('');

        // user.amount < 10 ? SetamountErr('Amount Atleast 10₹') : SetamountErr('');
        break;
      default: break;
    }
  }
  const getBalanceData = async () => {
    try {
      const data = { env_type: 1, unique_token: token }
      const encKey = helper.randomString(32);
      var mykey = encKey.match(/.{1,8}/g)
      var myKey1 = helper.changeAlphaString(mykey[1], -3)
      var myKey2 = helper.changeAlphaString(mykey[3], -3)
      var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

      const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
      const walletBal = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
      let walletBalanceDatas = await fetch(process.env.APIURL + "/get-user-wallet-balance", {
        method: 'POST',
        headers: {
          "Content-Type": "application/json",
          "Accept": "application/json",
          "Origin": process.env.BASEURL
        },
        body: walletBal
      });
      const actualData = await walletBalanceDatas.json();
      const responseData = actualData.resData;
      const responseKey = actualData.resKey;
      var mykey = responseKey.match(/.{1,8}/g)
      var myKey1 = helper.changeAlphaString(mykey[1], -3)
      var myKey2 = helper.changeAlphaString(mykey[3], -3)
      var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
      const walletBalances = helper.EncrptDecryptApiData(responseData, original_key, 2);
      setWalletBalance(JSON.parse(walletBalances));

    } catch (err) {
      console.log("Your Error is", err);
    }
  }
  const withdrawFundTransactions = async () => {
    try {
      const data = { env_type: 1, unique_token: token }
      const encKey = helper.randomString(32);
      var mykey = encKey.match(/.{1,8}/g)
      var myKey1 = helper.changeAlphaString(mykey[1], -3)
      var myKey2 = helper.changeAlphaString(mykey[3], -3)
      var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
      const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
      const withdrawltTransaction = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
      let withdrawlData = await fetch(process.env.APIURL + "/get-user-withdraw-transaction-history", {
        method: 'POST',
        headers: {
          "Content-Type": "application/json",
          "Accept": "application/json",
          "Origin": process.env.BASEURL
        },
        body: withdrawltTransaction
      });
      const withresData = await withdrawlData.json();
      const responseData = withresData.resData;
      const responseKey = withresData.resKey;
      var mykey = responseKey.match(/.{1,8}/g)
      var myKey1 = helper.changeAlphaString(mykey[1], -3)
      var myKey2 = helper.changeAlphaString(mykey[3], -3)
      var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
      const withdrawlAD = helper.EncrptDecryptApiData(responseData, original_key, 2);
      setwithdrawlfundtDetails(JSON.parse(withdrawlAD).result);
    } catch (err) {
      console.log("Your Error is", err);
    }
  }
  const withdrawFunddata = async () => {
    try {
      const data = { env_type: 1, unique_token: token }
      const encKey = helper.randomString(32);
      var mykey = encKey.match(/.{1,8}/g)
      var myKey1 = helper.changeAlphaString(mykey[1], -3)
      var myKey2 = helper.changeAlphaString(mykey[3], -3)
      var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
      const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
      const withfunddata = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
      let withdata = await fetch(process.env.APIURL + "/get-user-payment-method-list", {
        method: 'POST',
        headers: {
          "Content-Type": "application/json",
          "Accept": "application/json",
          "Origin": process.env.BASEURL
        },
        body: withfunddata
      });
      const withrealData = await withdata.json();
      const responseData = withrealData.resData;
      const responseKey = withrealData.resKey;
      var mykey = responseKey.match(/.{1,8}/g)
      var myKey1 = helper.changeAlphaString(mykey[1], -3)
      var myKey2 = helper.changeAlphaString(mykey[3], -3)
      var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
      const withAD = helper.EncrptDecryptApiData(responseData, original_key, 2);
      setwithfundGetResult(JSON.parse(withAD).result);
    } catch (err) {
      console.log("Your Error is", err);
    }
  }

  function validate() {
    var format = /[ `!@#$%^&*()_+\-=\[\]{};':"\\|,.<>\/?~]/;
    if (!format.test(amount)) {

      if (walletBalance.last_request_status == 0) {
        toast("Withdraw is Already Pending");
      }
      else if (walletBalance.withdraw_time_status == "false") {
        toast(walletBalance.withdraw_time_message);
      }
      else {
        sessionStorage.setItem('amount', amount);
        const tyedata = $('.selectmychoice :selected').val();
        sessionStorage.setItem('typeselected', tyedata);

        SetmypeSelect(tyedata);
        var a = parseInt(walletBalance.wallet_balance);
        var c = parseInt(walletBalance.min_withdrawal);
        var d = parseInt(walletBalance.max_withdrawal);
        var b = parseInt(amount);
        var format = /[ `!@#$%^&*()_+\-=\[\]{};':"\\|,.<>\/?~]/;

        if (amount == "") {
          SetamountErr("Amount Required");
        }
        if (format.test(amount)) {
          SetamountErr('Invalid Amount')
        }
        if (b < c) {
          SetamountErr(`Minimum ${walletBalance.min_withdrawal} pts`);
          return false;

          // alert("reuired")
        }
        if ($('.selectmychoice option:selected').val() == "Select UPI") {
          SetUPIErr("Please Select UPI Method");
          return false;
          // alert("UPI")
        }
        if (b > d) {
          SetamountErr(`Maximum ${walletBalance.max_withdrawal} pts`);
          return false;
          // alert("exceed")
        }
        if (b > a) // 3000 > 2900
        {
          SetamountErr("Insufficient Amount");
          // alert("Insufficient")
          return false;
        }
        if (amount == "") {
          SetamountErr("Amount Required");
        }
        else {
          Navigate(`/${process.env.USER}/verifypin`, { replace: true });
          // alert("suss")
        }
      }
    } else {
      SetamountErr('Invalid Amount');
    }
  }
  useEffect(() => {
    withdrawFundTransactions();
  }, []);

  useEffect(() => {
    withdrawFunddata();
  }, []);

  useEffect(() => {
    getBalanceData();
  }, []);
  if (withdrawlfundtDetails.length !== 0) {
    return (
      <>
        <Helmet>
          <title>Matka</title>
          <meta name="viewport" content="width=device-width; initial-scale=1; maximum-scale=1.0;" />
        </Helmet>

        <div class="col-sm-4 m-auto">
          <div className="colors-wallet">
            <div className='container-child-upper'>
              <div className='header'>
                <NavLink exact to={`/${process.env.USER}/wallet`} className='back-arrow'>
                  <img src={ArrowBackIcon} alt="back-arrow" class=" w-50" />
                </NavLink>
                <div className='header-te'>
                  Withdraw Fund
                </div>
                <div className='profile-icon'>
                  <div className='logo-image'>
                    <img src={wallet} alt="profile" />
                  </div>
                  <div className='text'>
                    {walletBalance.wallet_balance}
                  </div>
                </div>
              </div>
            </div>
            <div className="container mt-1">
              <div className="wallet-padding ">
                <div className='p-1 py-2' style={{ borderBottom: "1px solid lightgrey" }}>
                  <div className='col-12 d-flex justify-content-center align-items-center'>
                    <div className="col-5">
                      <p className="wallet-open" style={{ fontSize: "10px", textTransform: "uppercase", letterSpacing: "1px", color: "gray" }}>Open Time:- <span>{walletBalance.withdraw_open_time}</span></p>
                    </div>
                    <div className="col-5">
                      <p className="wallet-open" style={{ fontSize: "10px", textTransform: "uppercase", letterSpacing: "1px", color: "gray" }}>Close Time:- <span>{walletBalance.withdraw_close_time}</span></p>
                    </div>
                  </div>
                </div>
                <div className="row">
                  <div className="enter-point mt-3">
                    <input style={{ textAlign: "left", fontWeight: "100", backgroundColor: "transparent", borderRadius: "10px" }} className={classnames("form-control amount-valid text-secondary place", { 'is-invalid': amountErr, 'is-valid': !amountErr && amount.length })} onChange={(e) => haldleChange(e, 'amount')} name="amount" type="number" placeholder="Amount" autoComplete='off' />
                    {amountErr && <small className="text-danger message">{amountErr}</small>}
                    <select class="form-select selectmychoice mt-4" aria-label="Default select example">
                      <option selected>Select UPI</option>
                      {withfundGetResult.map((getValue, index) => {
                        if (getValue.value == "") {
                          return (
                            <>
                              <option disabled key={index} value={getValue.type}>{getValue.name} {getValue.value ? "(" + getValue.value + ")" : ""}</option>
                            </>
                          );
                        } else {
                          return (
                            <>
                              <option key={index} value={getValue.type}>{getValue.name} {getValue.value ? "(" + getValue.value + ")" : ""}</option>
                            </>
                          );
                        }
                      }
                      )
                      }
                    </select>
                    {UPIErr && <small className="text-danger message">{UPIErr}</small>}
                    <div className="go-wallet-shadow">
                      <button type="button" onClick={validate} className="wallet-go">GO</button>
                    </div>
                  </div>
                </div>
              </div>
              <div className="mt-4 ">
                <h6 className="text-center">-Transaction-</h6>
              </div>
              <div style={{ overflowY: "scroll", overflowX: "hidden", height: "47vh" }}>
                {
                  withdrawlfundtDetails.map((item, index) => {
                    return (
                      <>{
                        (item.payment_receipt !== "") ?
                          <div key={index} className="wallet-datas py-3 p-2">
                            <a href={`${process.env.APIURL}/uploads/file/${item.payment_receipt}`} target="_blank">
                              <div className='upper-row' style={{ color: "black" }}>
                                <div className='upper-left'>
                                  ID :-
                                </div>
                                <div className='upper-right'>
                                  #{item.request_number}
                                </div>
                              </div>
                              <div className="row">
                                <div className="col-8">
                                  <p style={{ textTransform: "uppercase", fontSize: "12px" }}>Payment Method :- <span id="payments" style={{ fontWeight: "100", fontSize: "12px" }}>{
                                    (item.payment_method == 3)
                                      ?
                                      <span className="bg-green-100">
                                        Phone Pe
                                      </span>
                                      :
                                      (item.payment_method == 2)
                                        ?
                                        <span className="bg-teal-100">
                                          Google Pay
                                        </span>
                                        :
                                        <span className="bg-red-100">
                                          PAYTM
                                        </span>
                                  }</span></p>
                                </div>
                                <div className="col-4 wallet-right">
                                  <p className='pe-2'>{item.request_amount}</p>
                                </div>
                              </div>
                              <div className="row">
                                <div className="col-8">
                                  <p style={{fontWeight: "100", color: "gray", fontSize: "12px", letterSpacing: "1px" }}>Date:- &nbsp;{moment(item.createdAt).format('Do MMMM YYYY, h:mm A')}</p>
                                </div>
                                <div className="col-4 wallet-right">
                                  <div className=" bg-transparent shadow-none text-success border-white btn-sm reject pe-2 ps-2"><p style={{ textTransform: "uppercase", fontSize: "12px" }}><span id="payments" style={{ fontWeight: "100", fontSize: "12px" }}>{
                                    (item.request_status == 0)
                                      ?
                                      <span className="text-warning bg-green-100">
                                        Pending
                                      </span>
                                      :
                                      (item.request_status == 1)
                                        ?
                                        <span className="text-success bg-teal-100">
                                          Approved
                                        </span>
                                        :
                                        <span className="text-danger bg-red-100">
                                          Rejected
                                        </span>
                                  }</span></p></div>
                                </div>
                              </div>
                              {(item.remark !== "") ?
                              <div className="row">
                                <div className="col-8">
                                  <p style={{ fontWeight: "100", fontSize: "12px", letterSpacing: "1px" }}>Remark:-&nbsp;{item.remark}</p>
                                </div>
                              </div> : ""
                            }
                            </a>
                          </div>
                          :
                          <div key={index} className="wallet-datas py-3 p-2">
                            <div className='upper-row'>
                              <div className='upper-left'>
                                ID :-
                              </div>
                              <div className='upper-right'>
                                #{item.request_number}
                              </div>
                            </div>
                            <div className="row">
                              <div className="col-8">
                                <p style={{ textTransform: "uppercase", fontSize: "12px" }}>Payment Method :- <span id="payments" style={{ fontWeight: "100", fontSize: "12px" }}>{
                                  (item.payment_method == 3)
                                    ?
                                    <span className="bg-green-100">
                                      Phone Pe
                                    </span>
                                    :
                                    (item.payment_method == 2)
                                      ?
                                      <span className="bg-teal-100">
                                        Google Pay
                                      </span>
                                      :
                                      <span className="bg-red-100">
                                        PAYTM
                                      </span>
                                }</span></p>
                              </div>
                              <div className="col-4 wallet-right">
                                <p className='pe-2'>{item.request_amount}</p>
                              </div>
                            </div>
                            <div className="row">
                              <div className="col-8">
                                <p style={{fontWeight: "100", color: "gray", fontSize: "12px", letterSpacing: "1px" }}>Date:- &nbsp;{moment(item.createdAt).format('Do MMMM YYYY, h:mm A')}</p>
                              </div>
                              <div className="col-4 wallet-right">
                                <div className=" bg-transparent shadow-none text-success border-white btn-sm reject pe-2 ps-2"><p style={{ textTransform: "uppercase", fontSize: "12px" }}><span id="payments" style={{ fontWeight: "100", fontSize: "12px" }}>{
                                  (item.request_status == 0)
                                    ?
                                    <span className="text-warning bg-green-100">
                                      Pending
                                    </span>
                                    :
                                    (item.request_status == 1)
                                      ?
                                      <span className="text-success bg-teal-100">
                                        Approved
                                      </span>
                                      :
                                      <span className="text-danger bg-red-100">
                                        Rejected
                                      </span>
                                }</span></p></div>
                              </div>
                            </div>
                            {(item.remark !== "") ?
                              <div className="row">
                                <div className="col-8">
                                  <p style={{ fontWeight: "100", fontSize: "12px", letterSpacing: "1px" }}>Remark:-&nbsp;{item.remark}</p>
                                </div>
                              </div> : ""
                            }
                          </div>
                      }
                      </>
                    );
                  }
                  )
                }
              </div>
              <ToastContainer
                position="bottom-center"
                autoClose={3000}
                hideProgressBar={false}
                newestOnTop={false}
                closeOnClick
                rtl={false}
                pauseOnFocusLoss
                draggable={true}
                limit={1}
                pauseOnHover
                theme="dark"
                draggablePercent={60}
              />
            </div>
          </div>


        </div>

      </>
    );
  } else {
    return (
      <>
        <Helmet>
          <title>Matka</title>
          <meta name="viewport" content="width=device-width; initial-scale=1; maximum-scale=1.0;" />
        </Helmet>

        <div class="col-sm-4 m-auto">
          <div className="colors-wallet">
            <div className='container-child-upper'>
              <div className='header'>
                <NavLink exact to={`/${process.env.USER}/wallet`} className='back-arrow'>
                  <img src={ArrowBackIcon} alt="back-arrow" class=" w-50" />
                </NavLink>
                <div className='header-te'>
                  Withdraw Fund
                </div>
                <div className='profile-icon'>
                  <div className='logo-image'>
                    <img src={wallet} alt="profile" />
                  </div>
                  <div className='text'>
                    {walletBalance.wallet_balance}
                  </div>
                </div>
              </div>
            </div>
            <div className="container mt-1">
              <div className="wallet-padding ">
                <div className='p-1 py-2' style={{ borderBottom: "1px solid lightgrey" }}>
                  <div className='col-12 d-flex justify-content-center align-items-center'>
                    <div className="col-5">
                      <p className="wallet-open" style={{ fontSize: "10px", textTransform: "uppercase", letterSpacing: "1px", color: "gray" }}>Open Time:- <span>{walletBalance.withdraw_open_time}</span></p>
                    </div>
                    <div className="col-5">
                      <p className="wallet-open" style={{ fontSize: "10px", textTransform: "uppercase", letterSpacing: "1px", color: "gray" }}>Close Time:- <span>{walletBalance.withdraw_close_time}</span></p>
                    </div>
                  </div>
                </div>
                <div className="row">
                  <div className="enter-point mt-3">
                    <input style={{ textAlign: "left", fontWeight: "100", backgroundColor: "transparent", borderRadius: "10px" }} className={classnames("form-control amount-valid text-secondary place", { 'is-invalid': amountErr, 'is-valid': !amountErr && amount.length })} onChange={(e) => haldleChange(e, 'amount')} name="amount" type="number" placeholder="Amount" autoComplete='off' />
                    {amountErr && <small className="text-danger message">{amountErr}</small>}
                    <select class="form-select selectmychoice mt-4" aria-label="Default select example">
                      <option selected>Select UPI</option>
                      {withfundGetResult.map((getValue, index) => {
                        if (getValue.value == "") {
                          return (
                            <>
                              <option disabled key={index} value={getValue.type}>{getValue.name} {getValue.value ? "(" + getValue.value + ")" : ""}</option>
                            </>
                          );
                        } else {
                          return (
                            <>
                              <option key={index} value={getValue.type}>{getValue.name} {getValue.value ? "(" + getValue.value + ")" : ""}</option>
                            </>
                          );
                        }
                      }
                      )
                      }
                    </select>
                    {UPIErr && <small className="text-danger message">{UPIErr}</small>}
                    <div className="go-wallet-shadow">
                      <button type="button" onClick={validate} className="wallet-go">GO</button>
                    </div>
                  </div>
                </div>
              </div>
              <div className='nodatafound'>
                <img src={notfound} style={{ width: "100%" }} alt="not found" />
              </div>
              <ToastContainer
                position="bottom-center"
                autoClose={3000}
                hideProgressBar={false}
                newestOnTop={false}
                closeOnClick
                rtl={false}
                pauseOnFocusLoss
                draggable={true}
                limit={1}
                pauseOnHover
                theme="dark"
                draggablePercent={60}
              />
            </div>
          </div>

        </div>

      </>
    );
  }

}

export default WithdrawFund;

if (document.getElementById('component-WithdrawFund')) {
  ReactDOM.render(<WithdrawFund />, document.getElementById('component-WithdrawFund'))
}