'use strict'

/*
|--------------------------------------------------------------------------
| Routes
|--------------------------------------------------------------------------
|
| Http routes are entry points to your web application. You can create
| routes for different URL's and bind Controller actions to them.
|
| A complete guide on routing is available here.
    const route = this.Route.match(ctx.request.url(), ctx.request.method(), ctx.request.hostname())

| http://adonisjs.com/docs/4.1/routing
|
*/

/** @type {typeof import('@adonisjs/framework/src/Route/Manager')} */

const Route = use('Route')
Route.on('/').render('customer')
Route.get("/privacy", "CustomerController.index").middleware('isAuth');
Route.get("/blogs", "CustomerController.index").middleware('isAuth');
Route.get("/blogs/:id", "CustomerController.index").middleware('noAuth');
Route.get("/kalyan-results", "CustomerController.index").middleware('isAuth');
Route.get("/gali-disawar", "CustomerController.index").middleware('isAuth');
Route.get("/dp-boss-matka", "CustomerController.index").middleware('isAuth');
Route.get("/satta-king", "CustomerController.index").middleware('isAuth');
Route.get("/jodi-charts/:id", "CustomerController.index").middleware('isAuth');
Route.get("/panel-charts/:id", "CustomerController.index").middleware('isAuth');
Route.get("/starline-charts", "CustomerController.index").middleware('isAuth');
Route.get("/gali-disawar-charts", "CustomerController.index").middleware('isAuth');

Route.get("/customer/profile", "CustomerController.index").middleware('isAuth');
Route.get("/customer/wallet", "CustomerController.index").middleware('isAuth');
Route.get("/customer/login", "CustomerController.index").middleware('noAuth');
Route.get("customer/register/:id?", "CustomerController.index").middleware('noAuth');
Route.get("customer/forget", "CustomerController.index").middleware('noAuth');
Route.get("customer/otp", "CustomerController.index").middleware('noAuth');
Route.get("customer/change", "CustomerController.index").middleware('isAuth');
Route.get("customer/contact", "CustomerController.index").middleware('isAuth');
Route.get("customer/result", "CustomerController.index").middleware('isAuth');
Route.get("customer/resultwin", "CustomerController.index").middleware('isAuth');
Route.get("customer/rates", "CustomerController.index").middleware('isAuth');
Route.get("customer/image", "CustomerController.index").middleware('isAuth');
Route.get("customer/reset", "CustomerController.index").middleware('noAuth');
Route.get("customer/game", "CustomerController.index").middleware('isAuth');
Route.get("customer/home", "CustomerController.index").middleware('isAuth');
Route.get("customer/transfer", "CustomerController.index").middleware('isAuth');
Route.get("customer/add", "CustomerController.index").middleware('isAuth');
Route.get("customer/detail", "CustomerController.index").middleware('isAuth');
Route.get("customer/withdraw", "CustomerController.index").middleware('isAuth');
Route.get("/customer/otpforget", "CustomerController.index").middleware('isAuth');
Route.get("/customer/password", "CustomerController.index").middleware('isAuth');
Route.get("/customer/transaction", "CustomerController.index").middleware('isAuth');
Route.get("/customer/starline", "CustomerController.index").middleware('isAuth');
Route.get("/customer/verifypin", "CustomerController.index").middleware('isAuth');
Route.get("/customer/error/Error404", "CustomerController.index").middleware('isAuth');
Route.get("/customer/starlinewin", "CustomerController.index").middleware('isAuth');
Route.get("/customer/starlinebid", "CustomerController.index").middleware('isAuth');
Route.get("/customer/chart", "CustomerController.index").middleware('isAuth');
Route.get("/customer/starlinechart", "CustomerController.index").middleware('isAuth');
Route.get("/customer/starlinegame", "CustomerController.index").middleware('isAuth');
Route.get("/customer/details", "CustomerController.index").middleware('isAuth');
Route.get("/customer/starlinedetails", "CustomerController.index").middleware('isAuth');
Route.get("/customer/singledetail", "CustomerController.index").middleware('isAuth');
Route.get("/customer/jodidetail", "CustomerController.index").middleware('isAuth');
Route.get("/customer/singlepanadetail", "CustomerController.index").middleware('isAuth');
Route.get("/customer/doublepanadetail", "CustomerController.index").middleware('isAuth');
Route.get("/customer/tripledetail", "CustomerController.index").middleware('isAuth');
Route.get("/customer/fullsungamdetail", "CustomerController.index").middleware('isAuth');
Route.get("/customer/halfsungamdetail", "CustomerController.index").middleware('isAuth');
Route.get("/customer/starlinesingledetails", "CustomerController.index").middleware('isAuth');
Route.get("/customer/starlinedoubledetails", "CustomerController.index").middleware('isAuth');
Route.get("/customer/starlinetripledetails", "CustomerController.index").middleware('isAuth');
Route.get("/customer/maintainence", "CustomerController.index").middleware('isAuth');
Route.get("/customer/WithdrawMethods", "CustomerController.index").middleware('isAuth');
Route.get("/customer/gali", "CustomerController.index").middleware('isAuth');
Route.get("/customer/galidisawarcharts", "CustomerController.index").middleware('isAuth');
Route.get("/customer/galiwin", "CustomerController.index").middleware('isAuth');
Route.get("/customer/galibid", "CustomerController.index").middleware('isAuth');
Route.get("/customer/galigames", "CustomerController.index").middleware('isAuth');
Route.get("/customer/galiright", "CustomerController.index").middleware('isAuth');
Route.get("/customer/galileft", "CustomerController.index").middleware('isAuth');
Route.get("/customer/galijodi", "CustomerController.index").middleware('isAuth');

Route.get("/customer/evenodd", "CustomerController.index").middleware('isAuth');
Route.get("/customer/jodifamily", "CustomerController.index").middleware('isAuth');
Route.get("/customer/redbracket", "CustomerController.index").middleware('isAuth');
Route.get("/customer/spmotor", "CustomerController.index").middleware('isAuth');
Route.get("/customer/dpmotor", "CustomerController.index").middleware('isAuth');
Route.get("/customer/spdptpmotor", "CustomerController.index").middleware('isAuth');
Route.get("/customer/panafamily", "CustomerController.index").middleware('isAuth');

Route.get("/customer/sliderRedirect", "CustomerController.index").middleware('isAuth');
Route.get("/customer/referandearn", "CustomerController.index").middleware('isAuth');


Route.get("*", "CustomerController.index");




// Route.get("*","CustomerController.index").middleware('isAuth');


















